Subject: bug#23601: closed (Re: bug#23601: [bisected] Emacs can't build after 2dc0ef29425b7)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 23 May 2016 15:57:02 +0000

Your bug report

#23601: [bisected] Emacs can't build after 2dc0ef29425b7

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23601: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23601
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23601: [bisected] Emacs can't build after 2dc0ef29425b7
From: Nicolas Petton <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: "madper.xie" <[email-masked]>, [email-masked],谢成骏 <[email-masked]>, [email-masked]
Date: Mon, 23 May 2016 17:56:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Glenn Morris <[email-masked]> writes:

> Nicolas Petton wrote:
>
>> I actually do not know why adding (require 'seq) to image.el makes the
>> build fail.
>
> Files which are preloaded (ie, in loadup.el) cannot require any files
> that are not themselves in loadup (because those required files would
> then be preloaded too). This is an explicit check for such a case.

Commit c6493c6 fixes the problem, I'm closing this ticket.

Nico

Subject: [bisected] Emacs can't build after 2dc0ef29425b7
From: "谢成骏" <[email-masked]>
To: "bug-gnu-emacs" <[email-masked]>
Cc: madper.xie <[email-masked]>
Date: Mon, 23 May 2016 11:19:48 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi All,
Yesterday my emacs failed to build. 
Here is the error msg:
`````
(require seq) while preparing to dump
Makefile:545: recipe for target 'emacs' failed
make[1]: *** [emacs] Error 255
make[1]: Leaving directory '/home/madper/source/emacs/src'
Makefile:398: recipe for target 'src' failed
make: *** [src] Error 2
`````

After bisect I got:
`````
λ  emacs  848d487 ✓ git bisect good 
2dc0ef29425b7ee4c6c13b832c2a11dfe26ebb35 is the first bad commit
commit 2dc0ef29425b7ee4c6c13b832c2a11dfe26ebb35
Author: Nicolas Petton <[email-masked]>
Date:   Sun May 22 21:51:11 2016 +0200

    Add missing dependencies to seq.el
    
    * lisp/emacs-lisp/find-func.el:
    * lisp/ibuffer.el:
    * lisp/image.el: Require seq.

:040000 040000 e3ae0052facd3cd6728259f6536363c0d0c9d70b 2105b394fefa44da3475d72f61be0f4f393ad985 M      lisp
`````

Thanks a lot in advance,
Madper